%define name	openca-ocspd
%define version	0.5.1
%define release	0.3mdk

Summary:	OpenCA OCSP Daemon
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Servers
Source0:	openca-ocspd-%{version}.tar.bz2
Source1:	ocspd.init.bz2
Patch0:		openca-ocspd-0.4.2-mdkconfig.diff.bz2
URL:		http://www.openca.org/
PreReq:		rpm-helper
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:  openldap-devel
BuildRequires:  libsasl-devel
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The openca-ocspd is an RFC2560 compliant OCSPD responder. It can
be used to verify the status of a certificate using OCSP clients
(such as Mozilla/Netscape7).

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n %{name}-%{version}

# fix strange perms
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

%patch0 -p1

bzcat %{SOURCE1} > ocspd.init

%build
export CFLAGS="%{optflags}"

export WANT_AUTOCONF_2_5=1
libtoolize --copy --force && aclocal-1.7 && automake-1.7 --add-missing --copy && autoconf --force && autoheader

%configure2_5x \
    --disable-engine \
    --with-openssl-prefix=%{_prefix} \
    --with-ocspd-user=ocspd \
    --with-ocspd-group=ocspd \
    --with-openca-prefix=%{_datadir}/openca

%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# don't fiddle with the initscript!
export DONT_GPRINTIFY=1

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/ssl/ocspd/certs
install -d %{buildroot}%{_sysconfdir}/ssl/ocspd/private

make \
    DEST_BINDIR="%{buildroot}%{_bindir}" \
    DEST_DATADIR="%{buildroot}%{_datadir}/openca" \
    DEST_LIBDIR="%{buildroot}%{_libdir}" \
    DEST_MANDIR="%{buildroot}%{_mandir}" \
    DEST_SBINDIR="%{buildroot}%{_sbindir}" \
    DESTDIR="%{buildroot}" \
    install

# fix pid dir
install -d %{buildroot}/var/run/ocspd

# install a nicer sysv script
rm -rf %{buildroot}%{_sysconfdir}/init.d
rm -f %{buildroot}%{_initrddir}/ocspd
install -m0755 ocspd.init %{buildroot}%{_initrddir}/openca-ocspd

# install some example certs
install -m0640 examples/certs/*.pem %{buildroot}%{_sysconfdir}/ssl/ocspd/certs/
install -m0640 examples/private/*.pem %{buildroot}%{_sysconfdir}/ssl/ocspd/private/

%pre
%_pre_useradd ocspd %{_localstatedir}/ocspd /bin/sh

%post
%_post_service openca-ocspd

%preun
%_preun_service openca-ocspd

%postun
%_postun_userdel ocspd

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%doc examples/index.txt examples/ocspd.conf*
%config(noreplace) %attr(0755,root,root) %{_initrddir}/openca-ocspd
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/ocspd.conf*
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/ocspcert.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/key.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/ocsp_key.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/ocspd_cert.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/cacert.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/certs/ocsp.pem
%config(noreplace) %attr(0640,root,root) %{_sysconfdir}/ssl/ocspd/private/ocspd_key.pem
%attr(0755,root,root) %{_sbindir}/openca-ocspd
%{_mandir}/man3/ocspd*
%attr(0755,ocspd,ocspd) %dir %{_localstatedir}/ocspd
%attr(0644,ocspd,ocspd) %{_localstatedir}/ocspd/index.txt
%attr(0755,ocspd,ocspd) %dir /var/run/ocspd

%changelog
* Thu Aug 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.1-0.3mdk
- new tarball, same version

* Sun Jul 11 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.1-0.2mdk
- built for cooker

* Mon May 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.1-0.1mdk
- use a cvs snap

* Tue May 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.2-1mdk
- initial Mandrake package, used bits and pieces from the provided spec
  files and also from the latest work by Michael Bell
- added P0 and S1
